> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dispatch squad

> Create a new dispatch for a squad, resolving the entrypoint agent internally



## OpenAPI

````yaml post /api/v1/squads/{squadId}/dispatch
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/squads/{squadId}/dispatch:
    post:
      tags:
        - Squad
      summary: Dispatch squad
      description: >-
        Create a new dispatch for a squad, resolving the entrypoint agent
        internally
      parameters:
        - schema:
            type: string
          required: true
          name: squadId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                versionId:
                  type: string
                outboundPhoneNumberId:
                  type: string
                leadId:
                  type: string
                toPhoneNumber:
                  type: string
                  pattern: ^\+1(\d{10}|\d{3}-\d{3}-\d{4})|^\+[1-9]\d{1,14}$
                firstName:
                  type: string
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                mode:
                  type: string
                  enum:
                    - audio
                    - web
                  default: audio
                zipcode:
                  type: string
                  nullable: true
                  pattern: ^\d{5}(-?\d{4})?$
                customer:
                  type: object
                  properties:
                    firstName:
                      type: string
                    lastName:
                      type: string
                  required:
                    - firstName
                variables:
                  type: object
                  additionalProperties:
                    type: string
                forwardingNumber:
                  type: string
                  pattern: ^\+1(\d{10}|\d{3}-\d{3}-\d{4})|^\+[1-9]\d{1,14}$
              required:
                - leadId
                - firstName
      responses:
        '201':
          description: Squad dispatch created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - queued
                  connectionDetails:
                    $ref: '#/components/schemas/WebDispatchConnectionDetails'
                required:
                  - id
                  - status
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 402
                  message:
                    type: string
                    default: Insufficient credits
                  code:
                    type: string
                    enum:
                      - PAYMENT_REQUIRED
                    default: PAYMENT_REQUIRED
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    WebDispatchConnectionDetails:
      type: object
      properties:
        serverUrl:
          type: string
        roomName:
          type: string
        participantName:
          type: string
        participantToken:
          type: string
      required:
        - serverUrl
        - roomName
        - participantName
        - participantToken
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````